Bug 642975 - Packaging error: package creates /usr/lib64 on 32-bit system
Summary: Packaging error: package creates /usr/lib64 on 32-bit system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: common-lisp-controller
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anthony Green
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-14 10:56 UTC by Susi Lehtola
Modified: 2010-11-26 21:11 UTC (History)
1 user (show)

Fixed In Version: common-lisp-controller-6.20-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-26 21:11:54 UTC
Type: ---


Attachments (Terms of Use)

Description Susi Lehtola 2010-10-14 10:56:54 UTC
$ rpm -ql common-lisp-controller-6.20-2.fc13.noarch
reports

/usr/lib64/common-lisp
/usr/lib64/common-lisp/bin

which makes no sense on an x86 system. You are creating arch dependent empty directories with a noarch package. Please fix your packaging to respect FHS.

Comment 1 Anthony Green 2010-11-09 18:54:27 UTC
I just submitted a new package to rawhide that fixes this.  I close it when it leaves testing.

Comment 2 Fedora Update System 2010-11-09 19:13:54 UTC
common-lisp-controller-6.20-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/common-lisp-controller-6.20-3.fc14

Comment 3 Fedora Update System 2010-11-10 01:18:01 UTC
common-lisp-controller-6.20-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update common-lisp-controller'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/common-lisp-controller-6.20-3.fc14

Comment 4 Fedora Update System 2010-11-26 21:11:50 UTC
common-lisp-controller-6.20-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.